Skip to main content
Topic: Wiki outdated - please update :) (Read 84 times) previous topic - next topic
0 Members and 2 Guests are viewing this topic.

Wiki outdated - please update :)

Hi,

I wanted to migrate from Arch Linux on WSL to Artix because of runit, so I could run MySQL+Apache.

However, the wiki at https://wiki.artixlinux.org/Main/Migration is outdated, as it lists an old key for artoo:

Code: [Select]
 pacman-key --lsign-key 78C9C713EAD7BEC69087447332E21894258C6105

I would've changed it myself, but registration is not there.

Other things I noticed:
  • The wiki often throws the error
    Code: [Select]
    Session client coupling inconsistent (IP address changed?). Stopping for security reasons.
    on me, especially when using multiple tabs
  • Artix Base Runit ISO seems to be outdated, there's only a build from june available whilst other ISOs are from october: https://mirrors.dotsrc.org/artix-linux/iso/artix-base-runit-20180604-x86_64.iso
  • After migration from Arch did not work, I decided to re-install from scratch using ArtixWSL. I then noticed that the key mentioned previously is no longer used, but at least galaxy/lsb-release is signed with that key, which led to the next problem
  • I guess this is due to some bug in WSL, but for some reason pacman couldn't download the key, giving error: key "32F4AD774C40536B" could not be looked up remotely, which up until today couldn't figure out why it was happening or how to reproduce it. Only thing I remember when that problem happened was that immediately after ArtixWSL installation and syncing the databases, there were package updates available, which weren't when I tried to reproduce this issue
  • However, I suspect that the previous issue could be caused partially by outdated mirrors, especially ftp.sh.cvut.cz (last update september) and mirrors.nettek.us (last update nov 29). I'm not sure how pacman decides if a database is up-to-date or newer, but if it's based on the file timestamp and the remote file's timestamp, maybe I hit an old mirror and things went wrong?
  • In my attempts to reproduce the issue, I had a look at the source for artix-keyring. I noticed that the previously mentioned key was removed from packager-keyids but not being added to packager-revoked-keyids.

This is not a support request; everything is working fine now on my side. However, I suggest having a look at the items above, maybe some of these give trouble for new users.

Re: Wiki outdated - please update :)

Reply #1
Thanks for the reports. I've updated the wiki with the correct key. I'll also get in touch with CVUT soonest; they upgraded their infrastructure in September and they probably forgot something; nettek updates fine. It's kind of pointless to post newer ISOs  (very) regularly in rolling-release distros, especially if existing ones work well: in less than a month after release, a full-system update will download most packages, won't it? You seem to know your stuff, we're hiring!